PLM之家精品课程培训,联系电话:18301858168 QQ: 939801026

  • NX二次开培训

    NX二次开培训

    适合初级入门或想深入了解二次开发的工程师,本培训结合ufun,NXOpen C++,大量的实例及官方内部的开发技术对于老鸟也值得借鉴!.

    NX CAM二次开发培训报名 NX二次开发基础培训报名
  • PLM之家Catia CAA二次开发培训

    Catia二次开发培训

    Catia二次开发的市场大,这方面开发人才少,难度大。所以只要你掌握了开发,那么潜力巨大,随着时间的积累,你必将有所用武之地!

  • PLM之Teamcenter最佳学习方案

    Teamcenter培训

    用户应用基础培训,管理员基础培训,管理员高级培训,二次开发培训应有尽有,只要你感兴趣肯学习,专业多年经验大师级打造!

  • PLM之Tecnomatix制造领域培训

    Tecnomatix培训

    想了解制造领域数字化吗?想了解工厂,生产线设计吗?数字化双胞胎,工业4.0吗?我们的课程虚位以待!

PLM之家PLMHome-国产软件践行者

[原创视频] PLM之家-NX9.0 二次开发实例视频30 UFUN获取实体的包络尺寸

  [复制链接]

2014-4-8 22:46:15 31760 117

admin 发表于 2014-2-19 20:28:44 |阅读模式

admin 楼主

2014-2-19 20:28:44

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有账号?注册

x
PLM之家-NX9.0 二次开发实例视频30 UFUN获取实体的最小包络尺寸, V, R; f6 \5 J
内容:

9 z2 G; _  L2 Y+ `/ F很多时候我们需要指导毛坯的尺寸,也就是stock size,在moldwizard里面已经有这个类似的功能,如果通过开发,如何获得,请参考如下代码,执行结果,就是显示x,y,z方向的尺寸!
* R6 ~6 J1 T4 O* E/ m( n目的:
& i- F9 D5 S0 p9 V
在NX中,使用 UF_MODL_ask_bounding_box的函数可以实现这个功能。当然你也可以直接用moldwizard的mw_tools_box去创建一个功能boundingbox的feature,但是需要有额外的mw的license。注意:这个功能,没有考虑到坐标系,使用的都是绝对坐标系,如果需要考虑坐标系的话,可以使用UF_MODL_ask_bounding_box_extract类似的函数!( G! y; }# C" _- k4 C" f8 F) G
关键代码分享:

" F5 |6 z( n! q. \4 w$ X
  1. static void do_api()
      h! v9 b8 v" X8 a3 j
  2. {; v: G: M  z; h+ E; m' p, f3 L# Q
  3.         tag_t object,view;4 _# [8 J! |# W; J$ r0 Y* ~
  4.         char cue[] = "select object to get the dimensions";
    & x3 Q, n# l# Y0 W+ I
  5.         int scope = UF_UI_SEL_SCOPE_WORK_PART;
    8 ?4 t& m+ t; Y& ]' ^3 w  k
  6.         double x,y,z;
    2 S5 D, m& l3 H6 p0 Q# Q
  7.         int  response;1 \' O( f/ ?- Q' |6 e& e* a! e6 H9 Z
  8.         double boundingbox[6];
    ' Q7 r) B: @7 ~6 @5 I6 z2 @8 h& ~5 G( B
  9.         double cursor[3];8 }6 d" j8 N- W0 Z
  10.     UF_UI_select_with_single_dialog(cue,"select the object",scope, UF_UI_sel_init, NULL, &response, &object, cursor, &view );- `4 b$ D. A8 S; G8 Y- t
  11.          if (response == UF_UI_OBJECT_SELECTED ||0 D, }1 D* a8 R4 P* H' u
  12.             response == UF_UI_OBJECT_SELECTED_BY_NAME)/ T: e8 s1 u. ^: O" ~
  13.         {8 Z) T4 K/ b5 ]
  14.                         UF_DISP_set_highlight(object,0);
    " O9 ]; @0 n, y2 p
  15.             UF_MODL_ask_bounding_box(object,boundingbox);
      {8 U3 R  Y  ?' x' h
  16.                         x = boundingbox[3]-boundingbox[0];, |3 G4 |: p( X( D2 E; ^1 }
  17.                         y = boundingbox[4]-boundingbox[1];
    % E3 l: p$ K+ M
  18.                         z = boundingbox[5]-boundingbox[2];
    + a2 a& |: A3 i4 H4 c& f& [
  19.                         char message[256];0 Y% r; Y7 D  u
  20.                         sprintf(message," X dimension = %.3f\n Y dimension = %.3f\n Z dimension = %.3f\n",x,y,z);
    / K+ ?; ?8 T- C9 |8 K
  21.                         uc1601(message,1);1 i. U4 O, U) C7 p0 h
  22.         }
    1 S8 Q: L  K% A8 x
  23.          else
    3 a/ `+ c# j. H( C) x  {
  24.                  uc1601("No object selected",1);
    ( T: x. J, H5 q: Q9 f: {: t# d
  25.         }$ \' X" j9 [& t- R8 k; B3 r
  26. }. A: }4 N, c: o9 [2 M+ |
复制代码

# i6 \& a9 _, R; F  g- \, W! z
  e, X7 A% G1 Y8 |
  Q  r! p- A  p1 ^

. [7 @6 x4 b+ \* p) s) j/ H: b6 i5 P5 R" S+ J9 p( E+ Z$ D$ G' d( X
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

全部回复115

admin 发表于 2014-2-19 20:28:54

admin 沙发

2014-2-19 20:28:54

1 \) F' M3 c/ z- Y& C+ i6 ~ PLM之家-NX9.0二次开发实例30 UFUN获取实体的最小包络尺寸(1) 项目创建) L2 C# {9 d5 _; I. \ $ D5 l. c3 K* N . M7 B2 b2 o) U- S$ A/ J6 X8 ^, K* D6 q1 H4 L 9 N$ S1 r9 p% H, Y' m9 r& X PLM之家-NX9.0二次开发实例30 UFUN获取实体的最小包络尺寸(2) 完成创建 - X$ C9 b7 V. u c" R) `4 t9 I3 }! h- o/ M1 v
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

leo 发表于 2014-3-3 22:06:30

leo 地板

2014-3-3 22:06:30

学习一下  谢谢
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

mildcat 发表于 2014-3-23 11:41:07

mildcat 6#

2014-3-23 11:41:07

已经更新了
% L5 k* Z/ i3 y) [) |回复可见哈
该会员没有填写今日想说内容.
回复 支持 反对

使用道具 举报

45guop 发表于 2014-3-23 12:14:49

45guop 7#

2014-3-23 12:14:49


/ m" x5 E. y4 C4 D# h4 w  o3 b1 k已经更新了
  x+ Y) t2 J2 ?0 O2 Y& k$ i; z回复可见哈
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

smthan 发表于 2014-3-23 21:22:20

smthan 8#

2014-3-23 21:22:20

谢谢分享哈
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

流年碎梦 发表于 2014-4-1 20:12:28

流年碎梦 9#

2014-4-1 20:12:28

gggggggggggggg
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部

  • x
    温馨提示

    本网站(plmhome.com)为PLM之家工业软件学习官网站

    展示的视频材料全部免费,需要高清和特殊技术支持请联系 QQ: 939801026

    PLM之家NX CAM二次开发专题模块培训报名开始啦

    我知道了